Chapter 6. Retrieving configuration settings by using the API
To retrieve Red Hat Quay configuration settings from the command line, you can enable FEATURE_SUPERUSER_CONFIGDUMP and call the v1/superuser/config API endpoint with a superuser OAuth 2 access token. As a Red Hat Quay superuser, you can return all Flask configuration fields that are set, which you can use to show proof of compliance for various security policies, such as PCI-DSS 4.0.
Prerequisites
-
You have set
FEATURE_SUPERUSER_CONFIGDUMP: truein yourconfig.yamlfile. -
You have assigned the superuser role to a user in your
config.yamlfile. - You have generated an OAuth 2 access token for the superuser.
Procedure
Retrieve configuration settings by using the
v1/superuser/configAPI endpoint. For example:$ curl -X GET -H "Authorization: Bearer <bearer_token>" "http://<quay-server.example.com>/api/v1/superuser/config" | jq -r .configExample output
... "TEAM_RESYNC_STALE_TIME": "30m", "UI_DELAY_AFTER_WRITE_SECONDS": 3, "UI_MODELCARD_ANNOTATION": {}, "UI_MODELCARD_ARTIFACT_TYPE": "application/x-mlmodel", "UI_MODELCARD_LAYER_ANNOTATION": { "org.opencontainers.image.title": "README.md" } ...You can pass in one of
.config,.env,.warning, or.schemato return specific information. For example:$ curl -X GET -H "Authorization: Bearer <bearer_token>" "http://<quay-server.example.com>/api/v1/superuser/config" | jq -r .warningExample output
... "BILLING_TYPE": "FakeStripe", "BUILDLOGS_OPTIONS": [], "BUILD_MANAGER": null, "CDN_SPECIFIC_NAMESPACES": [], "CHANNEL_COLORS": [ ] ...
6.1. New configuration fields with Red Hat Quay 3.18 Copy linkLink copied to clipboard!
Red Hat Quay 3.18 adds configuration fields for QuayRegistry TLS Secrets and related status conditions. You can use these fields when you deploy Red Hat Quay on OpenShift Container Platform with an external TLS Secret.
6.1.1. QuayRegistry TLS component fields Copy linkLink copied to clipboard!
The following fields apply to the tls entry in spec.components of the QuayRegistry CR when deploying Red Hat Quay on OpenShift Container Platform.
| Field | Type | Description |
|---|---|---|
|
| Object |
References an external TLS Secret in the same namespace as the |
|
| String | Name of the Kubernetes Secret that stores the TLS certificate and private key. |
| Condition | Type | Description |
|---|---|---|
|
| Status | Reports whether TLS from the configured source (external Secret or config bundle) is valid and applied to the registry deployment. |